//
//  HTViewHierarchyCtl.h
//  ViewHierarchy
//
//  Created by Cameron Hayne on 29/05/06.
//  Copyright 2006 Hayne of Tintagel.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.



// *** INSTRUCTIONS ***
// To make use of this within your project, add the files
// HTViewHierarchyCtl.h, HTViewHierarchyCtl.m, and HTViewHierarchy.nib
// into your project, and then add the following line in an appropriate place
// (e.g. applicationDidFinishLaunching):
// [NSBundle loadNibNamed: @"HTViewHierarchy" owner: self];
// The "View Hierarchy" window will then show up automatically.

#import <Cocoa/Cocoa.h>

@interface HTViewHierarchyCtl : NSObject
{
    IBOutlet NSPopUpButton *windowPopup;
    IBOutlet NSButton      *refreshBtn;
    IBOutlet NSOutlineView *outlineView;
    
    NSWindow *currWindow;
}

- (void)setCurrWindow:(NSWindow *)aWindow;
- (NSWindow *)currWindow;
- (IBAction)windowListPopupAction:(id)sender;
- (IBAction)refreshBtnAction:(id)sender;

@end
